#!/bin/bash

if [[ `whoami` != root ]]
then
    echo "You must run this Apertium install script as root, or via sudo!"
    exit -1
fi

echo "Determining Debian/Ubuntu codename..."
P=`apt-cache policy`
DISTRO=""
for D in wheezy jessie sid stretch precise trusty vivid wily
do
    if [[ $P == *$D/* ]]
    then
        DISTRO=$D
        echo "Found evidence of $D..."
    fi
done
if [[ -z "$DISTRO" ]]
then
    echo "No supported Debian or Ubuntu derivative detected - bailing out..."
    exit -1
fi
echo "Settling for $DISTRO"

echo "Installing Apertium GnuPG key to /etc/apt/trusted.gpg.d/apertium.gpg"
wget -q http://apertium.projectjj.com/apt/apertium-packaging.public.gpg -O /etc/apt/trusted.gpg.d/apertium.gpg

echo "Creating /etc/apt/sources.list.d/apertium-nightly.list"
echo "deb http://apertium.projectjj.com/apt/nightly $DISTRO main" > /etc/apt/sources.list.d/apertium-nightly.list

echo "Running apt-get update..."
apt-get update >/dev/null 2>&1

echo "All done - enjoy the packages! If you just want all core tools, do: sudo apt-get install apertium-all-dev"
