#! /usr/bin/python -O
# -*- coding: utf-8 -*-
#
# A Translator Bot.
# Copyright (C) 2014 MiKael NAVARRO
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

"""A Translator Bot.
Copyright (C) 2014 MiKael NAVARRO

This XMPP Bot logs in, joins the room using the nick 'transbot' 
and responds to message addressed to it.  If another occupant writes 
'fr-es: bonjour', it will return 'es: hola'.

"""

# Include directives
from twisted.application import service
from twisted.words.protocols.jabber.jid import JID
from wokkel.client import XMPPClient

from transbot import MUCTranslateBot


# Set up the Twisted application
application = service.Application("TransBot")

xmppclient = XMPPClient(JID("user@jabber.fr/transbot"), "pass")  # JID + password
xmppclient.logTraffic = True
xmppclient.setServiceParent(application)

transbot = MUCTranslateBot(JID("trans@chat.jabberfr.org"), u"transbot")  # MUC room + nickname
transbot.setHandlerParent(xmppclient)

# Simply use twisted to run the bot:
# twisted -y transbot.tac
